### Home Classes Methods

### In Files

- lib/github_api/search.rb

### Parent

Github::API

### Methods

- #email
- #issues
- #repos
- #repositories
- #users

### Included Modules

- Github::Utils::Url

### Class/Module Index

Quicksearch

- Github
- Github::API
- Github::Activity
- Github::Activity::Events
- Github::Activity::Notifications
- Github::Activity::Starring
- Github::Activity::Watching
- Github::ApiFactory
- Github::Arguments
- Github::Authorization
- Github::Authorizations
- Github::AutoloadHelper
- Github::Client
- Github::Configuration
- Github::Connection
- Github::Constants
- Github::CoreExt
- Github::CoreExt::OrderedHash
- Github::Descendants
- Github::Emojis
- Github::Error
- Github::Error::BadRequest
- Github::Error::ClientError
- Github::Error::Forbidden
- Github::Error::GithubError
- Github::Error::InternalServerError
- Github::Error::InvalidOptions
- Github::Error::NotAcceptable
- Github::Error::NotFound
- Github::Error::RequiredParams
- Github::Error::ServiceError
- Github::Error::ServiceUnavailable
- Github::Error::Unauthorized
- Github::Error::UnknownValue
- Github::Error::UnprocessableEntity
- Github::Error::Validations
- Github::Gists
- Github::Gists::Comments
- Github::GitData
- Github::GitData::Blobs
- Github::GitData::Commits
- Github::GitData::References
- Github::GitData::Tags
- Github::GitData::Trees
- Github::Gitignore
- Github::Issues
- Github::Issues::Assignees
- Github::Issues::Comments
- Github::Issues::Events
- Github::Issues::Labels
- Github::Issues::Milestones
- Github::Jsonable
- Github::Markdown
- Github::Meta
- Github::MimeType
- Github::Normalizer
- Github::Orgs
- Github::Orgs::Members
- Github::Orgs::Teams
- Github::PageIterator
- Github::PageLinks
- Github::PagedRequest
- Github::Pagination
- Github::ParameterFilter
- Github::ParamsHash
- Github::PullRequests
- Github::PullRequests::Comments
- Github::RateLimit
- Github::Repos
- Github::Repos::Collaborators
- Github::Repos::Comments
- Github::Repos::Commits
- Github::Repos::Contents
- Github::Repos::Downloads
- Github::Repos::Forks
- Github::Repos::Hooks
- Github::Repos::Keys
- Github::Repos::Merging
- Github::Repos::PubSubHubbub
- Github::Repos::Statistics
- Github::Repos::Statuses
- Github::Request
- Github::Request::BasicAuth
- Github::Request::Jsonize
- Github::Request::OAuth2
- Github::Resource
- Github::Response
- Github::Response::Header
- Github::Response::Jsonize
- Github::Response::Mashify
- Github::Response::RaiseError
- Github::Response::Xmlize
- Github::ResponseWrapper
- Github::S3Uploader
- Github::Say
- Github::Scopes
- Github::Search
- Github::Users
- Github::Users::Emails
- Github::Users::Followers
- Github::Users::Keys
- Github::Utils
- Github::Utils::Url
- Github::VERSION
- Github::Validations
- Github::Validations::Format
- Github::Validations::Presence
- Github::Validations::Required
- Github::Validations::Token
- Hash

No matching classes.

# Github::Search

### Public Instance Methods

email(*args) click to toggle source

Search email

This API call is added for compatibility reasons only. There’s no guarantee that full email searches will always be available.

# Parameters

    <tt>:keyword</tt> - search term

# Examples

    github = Github.new
    github.search.email email: 'wycats'

    # File lib/github_api/search.rb, line 74
    def email(*args)
      arguments(args) do
        assert_required ] email ]
      end
      params = arguments.params

      get_request("/legacy/user/email/#{params.delete('email')}", params)
    end

issues(*args) click to toggle source

Search issues

Find issues by state and keyword.

# Parameters

    <tt>:state</tt> - open or closed.
    <tt>:keyword</tt> - search term

# Examples

    github = Github.new
    github.search.issues 'owner', 'repo-name', 'open','api'
    github.search.issues owner: 'owner', repo: 'repo-name', state: 'open', keyword: 'api'

    # File lib/github_api/search.rb, line 19
    def issues(*args)
      required = ['owner', 'repo', 'state', 'keyword']
      arguments(args, :required => required)

      get_request("/legacy/issues/search/#{owner}/#{repo}/#{state}/#{escape_uri(keyword)}", arguments.params)
    end

repos(*args) click to toggle source

Search repositories

Find repositories by keyword.

# Parameters

    <tt>:keyword</tt> - search term

# Examples

    github = Github.new
    github.search.repos 'api'
    github.search.repos keyword: 'api'

    # File lib/github_api/search.rb, line 38
    def repos(*args)
      arguments(args, :required => [:keyword])

      get_request("/legacy/repos/search/#{escape_uri(keyword)}", arguments.params)
    end

Also aliased as: repositories
repositories(*args) click to toggle source
Alias for: repos
users(*args) click to toggle source

Search users

Find users by keyword.

# Parameters

    <tt>:keyword</tt> - search term

# Examples

    github = Github.new
    github.search.users keyword: 'wycats'

    # File lib/github_api/search.rb, line 56
    def users(*args)
      arguments(args, :required => [:keyword])

      get_request("/legacy/user/search/#{escape_uri(keyword)}", arguments.params)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.